Open Lighting Architecture: ola::plugin::artnet::ArtNetDevice Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ola::plugin::artnet::ArtNetDevice Class Reference
Inheritance diagram for ola::plugin::artnet::ArtNetDevice:

## Public Member Functions
| ArtNetDevice (AbstractPlugin *owner, class Preferences *preferences, class PluginAdaptor *plugin_adaptor)
std::string | DeviceId () const
| The device ID.
void | EnterConfigurationMode ()
void | ExitConfigurationMode ()
void | Configure (ola::rpc::RpcController *controller, const std::string &request, std::string *response, ConfigureCallback *done)
Public Member Functions inherited from ola::Device
| Device (AbstractPlugin *owner, const std::string &name)
const std::string | Name () const
void | SetName (const std::string &name)
AbstractPlugin * | Owner () const
std::string | UniqueId () const
bool | IsEnabled () const
bool | Start ()
bool | Stop ()
bool | AllowLooping () const
bool | AllowMultiPortPatching () const
bool | AddPort (InputPort *port)
bool | AddPort (OutputPort *port)
void | InputPorts (std::vector< InputPort * > *ports) const
void | OutputPorts (std::vector< OutputPort * > *ports) const
InputPort * | GetInputPort (unsigned int port_id) const
OutputPort * | GetOutputPort (unsigned int port_id) const
void | DeleteAllPorts ()

## Static Public Attributes
static const char | K_ALWAYS_BROADCAST_KEY [] = "always_broadcast"
static const char | K_DEVICE_NAME [] = "ArtNet"
static const char | K_IP_KEY [] = "ip"
static const char | K_LIMITED_BROADCAST_KEY [] = "use_limited_broadcast"
static const char | K_LONG_NAME_KEY [] = "long_name"
static const char | K_LOOPBACK_KEY [] = "use_loopback"
static const char | K_NET_KEY [] = "net"
static const char | K_OUTPUT_PORT_KEY [] = "output_ports"
static const char | K_SHORT_NAME_KEY [] = "short_name"
static const char | K_SUBNET_KEY [] = "subnet"
static const unsigned int | K_ARTNET_NET = 0
static const unsigned int | K_ARTNET_SUBNET = 0
static const unsigned int | K_DEFAULT_OUTPUT_PORT_COUNT = 4
static const unsigned int | POLL_INTERVAL = 10000

## Protected Member Functions
bool | StartHook ()
void | PrePortStop ()
void | PostPortStop ()

## Additional Inherited Members
Public Types inherited from ola::AbstractDevice
typedef BaseCallback0< void > | ConfigureCallback

## Constructor & Destructor Documentation

## ◆ ArtNetDevice()

ola::plugin::artnet::ArtNetDevice::ArtNetDevice | ( | AbstractPlugin * | owner,
|  | class Preferences * | preferences,
|  | class PluginAdaptor * | plugin_adaptor )

Create a new Artnet Device

## Member Function Documentation

## ◆ Configure()

void ola::plugin::artnet::ArtNetDevice::Configure | ( | ola::rpc::RpcController * | controller,
|  | const std::string & | request,
|  | std::string * | response,
|  | ConfigureCallback * | done )
| virtual

Handle device config messages

Parameters

  controller | An RpcController
  request | the request data
  response | the response to return
  done | the closure to call once the request is complete

Reimplemented from ola::Device.

## ◆ DeviceId()

std::string ola::plugin::artnet::ArtNetDevice::DeviceId | ( |  | ) | const
| inlinevirtual

The device ID.

Returns
  an id which is unique within the plugin,

Implements ola::Device.

## ◆ PostPortStop()

void ola::plugin::artnet::ArtNetDevice::PostPortStop | ( |  | ) |
| protectedvirtual

Stop this device

Reimplemented from ola::Device.

## ◆ PrePortStop()

void ola::plugin::artnet::ArtNetDevice::PrePortStop | ( |  | ) |
| protectedvirtual

Stop this device. This is called before the ports are deleted

Reimplemented from ola::Device.

## ◆ StartHook()

bool ola::plugin::artnet::ArtNetDevice::StartHook | ( |  | ) |
| protectedvirtual

Start this device

Returns
  true on success, false on failure

Reimplemented from ola::Device.

The documentation for this class was generated from the following files:

- plugins/artnet/ArtNetDevice.h
- plugins/artnet/ArtNetDevice.cpp